Package org.eclipse.graphiti.ui.internal.parts

## Interface IAnchorContainerEditPart

All Superinterfaces:
  `IConfigurationProviderHolder`, `IFeatureProviderHolder`, `IPictogramElementEditPart`

All Known Subinterfaces:
  `IAnchorEditPart`, `IBoxRelativeAnchorEditPart`, `IConnectionEditPart`, `IContainerShapeEditPart`, `IDiagramEditPart`, `IFixPointAnchorEditPart`, `IShapeEditPart`

All Known Implementing Classes:
  `AdvancedAnchorEditPart`, `CompositeConnectionEditPart`, `ConnectionDecoratorEditPart`, `ConnectionEditPart`, `ContainerShapeEditPart`, `CurvedConnectionEditPart`, `DiagramEditPart`, `FreeFormConnectionEditPart`, `ManhattanConnectionEditPart`, `ShapeEditPart`

    public interface IAnchorContainerEditPart
    extends IPictogramElementEditPart

The Interface IAnchorContainerEditPart.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `refreshDecorators()`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementEditPart

`getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate`

### Method Detail

#### refreshDecorators

    void refreshDecorators()